List onboarding invites | Moov Documentation

List onboarding invites

List all the onboarding invites created by the caller's account.

To access this endpoint using an access token you'll need to specify the /accounts.read scope.

GET

/onboarding-invites

Ask

curl -X GET "https://api.moov.io/onboarding-invites" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.onboarding.listInvites();

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->onboarding->listInvites(

);

if ($response->onboardingInvites !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.ListOnboardingInvitesResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListOnboardingInvitesResponse res = sdk.onboarding().listInvites()
                .call();

if (res.onboardingInvites().isPresent()) {
            System.out.println(res.onboardingInvites().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.onboarding.list_invites()

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.onboarding.list_invites

unless res.onboarding_invites.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Onboarding.ListInvitesAsync();

// handle response

Example

[
  {
    "code": "N1IA5eWYNh",
    "link": "http://example.com",
    "returnURL": "string",
    "termsOfServiceURL": "string",
    "scopes": [
      "accounts.read"
    ],
    "grantScopes": [
      "transfers.write"
    ],
    "capabilities": [
      "collect-funds.card-payments",
      "send-funds.ach"
    ],
    "feePlanCodes": [
      "merchant-direct"
    ],
    "redeemedAccountID": "string",
    "prefill": {
      "accountType": "business",
      "profile": {
        "business": {
          "legalBusinessName": "Whole Body Fitness LLC"
        }
      }
    },
    "partner": {
      "accountID": "string",
      "accountMode": "production",
      "displayName": "Bob's Widgets"
    },
    "createdOn": "2019-08-24T14:15:22Z",
    "revokedOn": "2019-08-24T14:15:22Z",
    "redeemedOn": "2019-08-24T14:15:22Z"
  }
]

Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

Response headers

A unique identifier used to trace requests.

Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.04.00

List of capabilities you intend to request for this account. These values are used to determine what information to collect from the user during onboarding.

Possible values:

transfers,

send-funds,

send-funds.push-to-card,

money-transfer.push-to-card,

send-funds.ach,

send-funds.rtp,

send-funds.instant-bank,

collect-funds,

collect-funds.card-payments,

money-transfer.pull-from-card,

collect-funds.ach,

wallet,

wallet.balance,

card-issuing,

issuing.cardholder,

platform.production-app,

platform.wallet-transfers

A unique code that identifies an onboarding invite.

List of fee plan codes to assign the account created by the invitee.

List of scopes you grant to allow being used by the new account on yourself. These values are used to determine what the account onboarded can do.

Possible values:

accounts.read,

accounts.write,

analytics.read,

apple-pay-merchant.read,

apple-pay-merchant.write,

apple-pay.read,

apple-pay.write,

bank-accounts.read,

bank-accounts.write,

capabilities.read,

capabilities.write,

cards.read,

cards.write,

documents.read,

documents.write,

fed.read,

files.read,

files.write,

issued-cards.read,

issued-cards.write,

issued-cards.read-secure,

payment-methods.read,

ping.read,

profile-enrichment.read,

profile.read,

profile.write,

profile.disconnect,

representatives.read,

representatives.write,

transfers.read,

transfers.write,

wallets.read

A unique URL, including the invite code, that the recipient can follow to redeem the invitation.

The account that created the onboarding invite.